🤍 전 강의 25% 할인 중 🤍

2024년 상반기를 돌아보고 하반기에도 함께 성장해요!
인프런이 준비한 25% 할인 받으러 가기 >>

  • 카테고리

    질문 & 답변
  • 세부 분야

    백엔드

  • 해결 여부

    미해결

적용2 테스트시 ItemMapper의 Bean을 찾지 못하는 문제.

24.05.24 17:29 작성 조회수 91

0

학습하는 분들께 도움이 되고, 더 좋은 답변을 드릴 수 있도록 질문전에 다음을 꼭 확인해주세요.

1. 강의 내용과 관련된 질문을 남겨주세요.
2. 인프런의 질문 게시판과 자주 하는 질문(링크)을 먼저 확인해주세요.
(자주 하는 질문 링크: https://bit.ly/3fX6ygx)
3. 질문 잘하기 메뉴얼(링크)을 먼저 읽어주세요.
(질문 잘하기 메뉴얼 링크: https://bit.ly/2UfeqCG)

질문 시에는 위 내용은 삭제하고 다음 내용을 남겨주세요.
=========================================
[질문 템플릿]
1. 강의 내용과 관련된 질문인가요? (예/아니오)
2. 인프런의 질문 게시판과 자주 하는 질문에 없는 내용인가요? (예/아니오)
3. 질문 잘하기 메뉴얼을 읽어보셨나요? (예/아니오)

[질문 내용]
여기에 질문 내용을 남겨주세요.

 

본 강좌 커뮤니티의 다른 분들 해결사례처럼
build.gradle의 mybatis 부트스타터 버전을 2.3.2로
다운 그레이드하여 당장의 오류는 해결했습니다.
근데 왜 이런 오류가 터진건지 원인에 대한 궁금증은 남네요.
스프링부트3 이후로 어떤 이유로 더이상 동적 프록시 객체 생성을 해주지 않는건지, 아니면 아직 mybatis-스프링 연동 모듈의 업데이트가 늦어진게 이유인건지, 궁금합니다.

@Mapper조회가 잘되지 않은건지 하여,
MyBatisConfig에
@MapperScan("hello.itemservice.repository.mybatis") 어노테이션까지 넣어봤는데도 잘 안되었습니다.

답변 2

·

답변을 작성해보세요.

0

안녕하세요. soghwns93님

강의 메뉴얼이 3월 28일에 업데이트가 되었는데요.

다음 내용을 참고해주세요 🙂

 

참고 - 스프링 부트 3.0 이상

스프링 부트 3.0 이상을 사용한다면 mybatis-spring-boot-starter 버전을 2.2.0 대신에 3.0.3을 사용해야 한다.

//MyBatis 스프링 부트 3.0 추가

implementation 'org.mybatis.spring.boot:mybatis-spring-boot-starter:3.0.3'

감사합니다.

0

인프런 AI 인턴님의 프로필

인프런 AI 인턴

2024.05.24

안녕하세요, 인프런 AI 인턴입니다.

soghwns93님의 질문에 대해, MyBatis와 스프링 부트의 호환성 문제로 인해 발생하는 문제일 가능성이 높습니다. 스프링 부트 3 이후 버전에서 발생하는 ItemMapper의 Bean 찾지 못하는 문제는 주로 MyBatis 라이브러리와 스프링 부트 버전 간의 호환성 문제로 인해 발생합니다.

다음은 이와 관련하여 다른 수강생의 질문과 그에 대한 답변이 담긴 링크입니다:

여기서 mybatis-spring-boot-starter 라이브러리 버전을 2.3.1로 다운그레이드하여 해결한 경우의 예를 확인하실 수 있습니다. 제공된 답변에서는 스프링 부트 버전과 mybatis-spring-boot-starter 라이브러리 버전 간의 상호 호환성을 확인하는 것이 해결책의 핵심입니다.

이 질문에서는 MyBatis 적용 후 오류 발생한 사례를 다루었으며, 스프링 부트의 버전과 MyBatis 라이브러리 버전 간의 호환 문제를 해결하기 위해 버전 다운그레이드를 시도한 사례가 있습니다.

스프링 부트 3.0 이상 버전과 MyBatis 버전 간의 호환성 확인은 MyBatis 공식 문서나 릴리즈 노트를 참고하는 것이 좋습니다. 때로는 새로운 스프링 부트 버전에 맞춰 MyBatis 라이브러리가 아직 완전히 업데이트되지 않아 발생하는 문제일 수 있습니다.

또한, @MapperScan 어노테이션을 사용할 때는 매핑할 인터페이스가 정확한 패키지에 위치하고 있는지, 그리고 해당 패키지 경로가 올바르게 지정되었는지 다시 한 번 확인해 보시길 권장드립니다.

저는 질문자님의 이해를 돕고자 지식공유자님의 기존 답변을 참고하여 유사한 답변 링크를 추천해드리고 있습니다.
현재 베타 기능으로 답변이 만족스럽지 않을 수 있는 점 양해 부탁드립니다. 🙏
추가적으로 궁금한 점이 있으시면, 이어서 질문해 주세요. 곧 지식공유자께서 답변해 주실 것입니다.

채널톡 아이콘